GCLOUD_DATAPROC_CLUSTERS_CREATE(1)

NAME

gcloud dataproc clusters create - create a cluster

SYNOPSIS

gcloud dataproc clusters create NAME [--async] [--bucket BUCKET] [--image-version VERSION] [--initialization-action-timeout TIMEOUT; default="10m"] [--initialization-actions CLOUD_STORAGE_URI,[CLOUD_STORAGE_URI,...]] [--master-boot-disk-size MASTER_BOOT_DISK_SIZE | --master-boot-disk-size-gb MASTER_BOOT_DISK_SIZE_GB] [--master-machine-type MASTER_MACHINE_TYPE] [--metadata KEY=VALUE,[KEY=VALUE,...]] [--network NETWORK | --subnet SUBNET] [--num-master-local-ssds NUM_MASTER_LOCAL_SSDS] [--num-preemptible-workers NUM_PREEMPTIBLE_WORKERS] [--num-worker-local-ssds NUM_WORKER_LOCAL_SSDS] [--num-workers NUM_WORKERS] [--properties [PREFIX:PROPERTY=VALUE,...]] [--scopes SCOPE,[SCOPE,...]] [--tags TAG,[TAG,...]] [--worker-boot-disk-size WORKER_BOOT_DISK_SIZE | --worker-boot-disk-size-gb WORKER_BOOT_DISK_SIZE_GB] [--worker-machine-type WORKER_MACHINE_TYPE] [--zone ZONE, -z ZONE] [GLOBAL-FLAG ...]

DESCRIPTION
Create a cluster.

POSITIONAL ARGUMENTS
NAME
    The name of this cluster.

FLAGS
--async
    Display information about the operation in progress and don't wait for the operation to complete.
--bucket BUCKET
    The Google Cloud Storage bucket to use with the Google Cloud Storage connector. A bucket is auto created when this parameter is not specified.
--image-version VERSION
    The image version to use for the cluster. Defaults to the latest version.
--initialization-action-timeout TIMEOUT; default="10m"
    The maximum duration of each initialization action.
--initialization-actions CLOUD_STORAGE_URI,[CLOUD_STORAGE_URI,...]
    A list of Google Cloud Storage URIs of executables to run on each node in the cluster.
--master-boot-disk-size MASTER_BOOT_DISK_SIZE
    The size of the boot disk. The value must be a whole number followed by a size unit of KB for kilobyte, MB for megabyte, GB for gigabyte, or TB for terabyte. For example, 10GB will produce a 10 gigabyte disk. The minimum size a boot disk can have is 10 GB. Disk size must be a multiple of 1 GB.
--master-boot-disk-size-gb MASTER_BOOT_DISK_SIZE_GB
    DEPRECATED, use --master-boot-disk-size
--master-machine-type MASTER_MACHINE_TYPE
    The type of machine to use for the master. Defaults to server-specified.
--metadata KEY=VALUE,[KEY=VALUE,...]
    Metadata to be made available to the guest operating system running on the instances
--network NETWORK
    The Compute Engine network that the VM instances of the cluster will be part of. This is mutually exclusive with --subnet. If neither is specified, this defaults to the "default" network.
--num-master-local-ssds NUM_MASTER_LOCAL_SSDS
    The number of local SSDs to attach to the master in a cluster.
--num-preemptible-workers NUM_PREEMPTIBLE_WORKERS
    The number of preemptible worker nodes in the cluster.
--num-worker-local-ssds NUM_WORKER_LOCAL_SSDS
    The number of local SSDs to attach to each worker in a cluster.
--num-workers NUM_WORKERS
    The number of worker nodes in the cluster. Defaults to server-specified.
--properties [PREFIX:PROPERTY=VALUE,...]
    Specifies configuration properties for installed packages, such as Hadoop and Spark. Properties are mapped to configuration files by specifying a prefix, such as "core:io.serializations". The following are supported prefixes and their mappings:
    Prefix | Target Configuration File
    core | core-site.xml
    hdfs | hdfs-site.xml
    mapred | mapred-site.xml
    yarn | yarn-site.xml
    hive | hive-site.xml
    pig | pig.properties
    spark | spark-defaults.conf
--scopes SCOPE,[SCOPE,...]
    Specifies scopes for the node instances. The project's default service account is used. Multiple SCOPEs can specified, separated by commas. Examples:
        $ gcloud dataproc clusters create example-cluster \
            --scopes https://www.googleapis.com/auth/bigtable.admin
        $ gcloud dataproc clusters create example-cluster \
            --scopes sqlservice,bigquery
    The following scopes necessary for the cluster to function properly are always added, even if not explicitly specified:
    https://www.googleapis.com/auth/cloud.useraccounts.readonly
    https://www.googleapis.com/auth/devstorage.read_write
    https://www.googleapis.com/auth/logging.write
    If this flag is not specified the following default scopes are also included:
    https://www.googleapis.com/auth/bigquery
    https://www.googleapis.com/auth/bigtable.admin.table
    https://www.googleapis.com/auth/bigtable.data
    https://www.googleapis.com/auth/devstorage.full_control
    If you want to enable all scopes use the 'cloud-platform' scope. SCOPE can be either the full URI of the scope or an alias. Available aliases are:
    Alias | URI
    bigquery | https://www.googleapis.com/auth/bigquery
    cloud-platform | https://www.googleapis.com/auth/cloud-platform
    compute-ro | https://www.googleapis.com/auth/compute.readonly
    compute-rw | https://www.googleapis.com/auth/compute
    datastore | https://www.googleapis.com/auth/datastore
    logging-write | https://www.googleapis.com/auth/logging.write
    monitoring | https://www.googleapis.com/auth/monitoring
    monitoring-write | https://www.googleapis.com/auth/monitoring.write
    service-control | https://www.googleapis.com/auth/servicecontrol
    service-management | https://www.googleapis.com/auth/service.management
    sql | https://www.googleapis.com/auth/sqlservice
    sql-admin | https://www.googleapis.com/auth/sqlservice.admin
    storage-full | https://www.googleapis.com/auth/devstorage.full_control
    storage-ro | https://www.googleapis.com/auth/devstorage.read_only
    storage-rw | https://www.googleapis.com/auth/devstorage.read_write
    taskqueue | https://www.googleapis.com/auth/taskqueue
    useraccounts-ro | https://www.googleapis.com/auth/cloud.useraccounts.readonly
    useraccounts-rw | https://www.googleapis.com/auth/cloud.useraccounts
    userinfo-email | https://www.googleapis.com/auth/userinfo.email
--subnet SUBNET
    Specifies the subnet that the cluster will be part of. This is mutally exclusive with --network.
--tags TAG,[TAG,...]
    Specifies a list of tags to apply to the instances for identifying the instances to which network firewall rules will apply. See gcloud compute firewall-rules create(1) for more details.
--worker-boot-disk-size WORKER_BOOT_DISK_SIZE
    The size of the boot disk. The value must be a whole number followed by a size unit of KB for kilobyte, MB for megabyte, GB for gigabyte, or TB for terabyte. For example, 10GB will produce a 10 gigabyte disk. The minimum size a boot disk can have is 10 GB. Disk size must be a multiple of 1 GB.
--worker-boot-disk-size-gb WORKER_BOOT_DISK_SIZE_GB
    DEPRECATED, use --worker-boot-disk-size
--worker-machine-type WORKER_MACHINE_TYPE
    The type of machine to use for workers. Defaults to server-specified.
--zone ZONE, -z ZONE
    The compute zone (e.g. us-central1-a) for the cluster.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
To create a cluster, run:
    $ gcloud dataproc clusters create my_cluster